# -*- coding: utf-8 -*-

# Authors: Roberto Alsina <roberto.alsina@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""The "Are you sure" dialog."""

import gettext

from PyQt4 import QtGui

from ubuntuone.platform.credentials import APP_NAME

from ubuntuone_installer.gui.qt.ui import are_you_sure_ui
from ubuntuone_installer.gui import (
    ARE_YOU_SURE_1,
    ARE_YOU_SURE_2,
)

_ = gettext.gettext


class AreYouSure(QtGui.QDialog):

    """A 'Are you sure?' dialog."""

    def __init__(self, *args, **kwargs):
        super(AreYouSure, self).__init__(*args, **kwargs)
        self.ui = are_you_sure_ui.Ui_Dialog()
        self.ui.setupUi(self)
        self.setWindowTitle(APP_NAME)
        link = u'<a href="https://one.ubuntu.com">https://one.ubuntu.com</a>'
        msg = (u"%s<p>%s" % (ARE_YOU_SURE_1, ARE_YOU_SURE_2)) % {"url": link}
        self.ui.message_label.setText(msg)
