# -*- coding: utf-8 -*-

# Authors: Roberto Alsina <roberto.alsina@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Custom forgotten password controller."""

from ubuntu_sso.qt import controllers


class ForgottenPasswordController(controllers.ForgottenPasswordController):
    """A custom forgotten password controller.

    This controller hides the overlay as needed.
    """

    def on_password_reset_error(self, app_name, error):
        """Hide the overlay, then do as the default controller does."""
        self.view.wizard().overlay.hide()
        super(ForgottenPasswordController,
            self).on_password_reset_error(app_name, error)
