# -*- coding: utf-8 -*-

# Authors: Roberto Alsina <roberto.alsina@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""The user interface for the Ubuntu One Installer."""

from PyQt4 import QtGui

from ubuntuone_installer.gui.qt.ui import sync_now_or_later_ui


class SyncNowOrLaterPage(QtGui.QWizardPage):
    """User can choose whether to sync now, later, or selectively"""

    def __init__(self, parent=None):
        QtGui.QWizardPage.__init__(self, parent)
        self.ui = sync_now_or_later_ui.Ui_Form()
        self.ui.setupUi(self)
        self.registerField("sync_now", self.ui.sync_now)
        self.registerField("sync_later", self.ui.sync_later)
        self.registerField("sync_custom", self.ui.sync_custom)

    # Invalid names of Qt-inherited methods
    # pylint: disable=C0103

    def initializePage(self):
        """Setup UI details"""
        self.wizard().setOption(QtGui.QWizard.HaveCustomButton1, False)
        self.wizard().setOption(QtGui.QWizard.NoCancelButton, True)
        self.wizard()._next_id = None
