# -*- coding: utf-8 -*-

# Authors: Roberto Alsina <roberto.alsina@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Tests for the Are you Sure dialog."""

from ubuntuone.platform.credentials import APP_NAME

from ubuntuone_installer.gui.qt.are_you_sure import AreYouSure
from ubuntuone_installer.gui.qt.tests import BaseTestCase
from ubuntuone_installer.gui import (
    ARE_YOU_SURE_1,
    ARE_YOU_SURE_2,
)


class AreYouSureTestCase(BaseTestCase):

    """Test the are you sure dialog."""

    class_ui = AreYouSure

    def test_title(self):
        """Check the window title."""
        self.assertEqual(self.ui.windowTitle(), APP_NAME)
        self.assertEqual(self.ui.windowTitle(), APP_NAME)

    def test_msg_label(self):
        """Check the message label text."""
        link = '<a href="https://one.ubuntu.com">https://one.ubuntu.com</a>'
        self.assertEqual(
            (u"%s<p>%s" % (ARE_YOU_SURE_1, ARE_YOU_SURE_2)) % {"url": link},
            unicode(self.ui.ui.message_label.text()))
