# -*- coding: utf-8 -*-

# Authors: Roberto Alsina <roberto.alsina@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Widget to view the Terms Of Service."""

import gettext

from PyQt4 import QtGui

import ubuntu_sso.qt.gui as sso_gui

_ = gettext.gettext


class TosPage(sso_gui.TosPage):

    """Page to display the Terms of Service."""

    # initializePage is inherited
    # pylint: disable=C0103
    def initializePage(self):
        """Setup UI details."""
        # Set the right texts and connections for buttons
        self.setButtonText(QtGui.QWizard.NextButton, _("Agree && Install"))
        self.setButtonText(QtGui.QWizard.CancelButton,
            _("Disagree && Cancel"))
        self.setButtonText(QtGui.QWizard.CustomButton1, _("&Print"))

        # This is just to catch an exception thrown when nothing
        # is connected to the signal. It's not an exceptional
        # condition at all.
        try:
            self.wizard().customButtonClicked.disconnect()
        except TypeError:
            pass

        self.wizard().customButtonClicked.connect(self.print_document)

        self.wizard().setButtonLayout([
            QtGui.QWizard.CustomButton1,
            QtGui.QWizard.BackButton,
            QtGui.QWizard.Stretch])

    def print_document(self, button_id):
        """Print the document displayed in textBrowser."""
        if button_id == QtGui.QWizard.CustomButton1:
            previewer = QtGui.QPrintPreviewDialog(
                paintRequested=self.ui.terms_webkit.print_)
            previewer.exec_()
